Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1178)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1179)
@@ -64,7 +64,7 @@
 # Host and user names
 # $hostname ou hostname
-typeset  HOST=${HOST:=$( hostname )}
+typeset HOST=${HOST:=$( hostname )}
 # $username ou whoami
-typeset  LOGIN=${LOGIN:=$( whoami )}
+typeset LOGIN=${LOGIN:=$( whoami )}
 # $hostname of the MASTER job
 typeset MASTER=ada
@@ -86,9 +86,4 @@
 
 #====================================================
-# Source default environment
-#====================================================
-##. /etc/profile
-
-#====================================================
 # Set environment tools (ferret, nco, cdo)
 #====================================================
@@ -97,4 +92,5 @@
 export PATH=${PATH}:/smphome/rech/psl/rpsl035/AddNoise/src_X64_ADA/bin
 export PATH=${PATH}:/smphome/rech/psl/rpsl035/AddPerturbation/src_X64_ADA/bin
+export PATH=${PATH}:/smphome/rech/psl/rpsl035/bin/
 
 #====================================================
@@ -126,4 +122,8 @@
 #- RUN_DIR_PATH : Temporary working directory (=> TMP)
 typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${TMPDIR}}
+
+#====================================================
+#- OUTCOMMAND_PATH : tmp place to store command lines standard error and outputs
+OUTCOMMAND_PATH=${RUN_DIR_PATH}
 
 #====================================================
@@ -225,5 +225,5 @@
 function IGCM_sys_RshMaster {
   IGCM_debug_PushStack "IGCM_sys_RshMaster" $@
-  RUN_DIR_PATH=${RUN_DIR_PATH} /bin/ksh <<-EOF
+  OUTCOMMAND_PATH=${OUTCOMMAND_PATH} /bin/ksh <<-EOF
     export libIGCM=${libIGCM}
     export DEBUG_debug=${DEBUG_debug}
@@ -247,5 +247,5 @@
   IGCM_debug_PushStack "IGCM_sys_RshArchive" $@
   DEBUG_sys=false IGCM_sys_IsFileArchived "$@"
-  if [ $? = 0 ] ; then    
+  if [ $? = 0 ] ; then
     rsh ${STOREHOST} exec /bin/ksh <<-EOF
     ${@}
@@ -297,7 +297,7 @@
   fi
   # keep standard input (stdin) for the loop onto temporary file
-  cat >${RUN_DIR_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
-
-  RUN_DIR_PATH=${RUN_DIR_PATH} /bin/ksh <${RUN_DIR_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
+  cat >${OUTCOMMAND_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
+
+  OUTCOMMAND_PATH=${OUTCOMMAND_PATH} /bin/ksh <${OUTCOMMAND_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
   if [ $? -gt 0 ] ; then
     echo "IGCM_sys_RshPost : erreur."
@@ -305,5 +305,5 @@
   fi
   # delete temporary file
-  \rm ${RUN_DIR_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
+  \rm ${OUTCOMMAND_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
 
   IGCM_debug_PopStack "IGCM_sys_RshPost"
@@ -338,5 +338,5 @@
 
   if [ ! -z ${config_UserChoices_MailName} ] ; then
-    mail -s "${config_UserChoices_JobName} ${status}" ${config_UserChoices_MailName} <  mail.txt
+    mail -s "${config_UserChoices_JobName} ${status}" ${config_UserChoices_MailName} < mail.txt
   elif [ -f ~/.forward ] ; then
     mail -s "${config_UserChoices_JobName} ${status}" $( cat ~/.forward ) < mail.txt
@@ -541,5 +541,5 @@
 function IGCM_sys_TestFileArchive {
   IGCM_debug_PushStack "IGCM_sys_TestFileArchive" $@
-  typeset ExistFlag  
+  typeset ExistFlag
   ExistFlag=$( IGCM_sys_RshArchive "[ -f $1 ] && echo 0 || echo 1" )
   IGCM_debug_PopStack "IGCM_sys_TestFileArchive"
@@ -562,9 +562,9 @@
 }
 
-##D-#==================================================
-##D-function IGCM_sys_CountFileArchive
-##D-* Purpose: Count files on Archive filesystem
-##D-* Examples:
-##D-
+#D-#==================================================
+#D-function IGCM_sys_CountFileArchive
+#D-* Purpose: Count files on Archive filesystem
+#D-* Examples:
+#D-
 function IGCM_sys_CountFileArchive {
   IGCM_debug_PushStack "IGCM_sys_CountFileArchive" $@
@@ -657,10 +657,9 @@
 function IGCM_sys_Qsub {
   IGCM_debug_PushStack "IGCM_sys_Qsub" $@
-
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Qsub :" $@
+  fi
   typeset status
 
-  if ( $DEBUG_sys ) ; then
-    echo "IGCM_sys_Qsub :" $@
-  fi
   # We have to change output/error file
   [ ${#@} = 1 ] &&  REP_FOR_JOB=${SUBMIT_DIR}
@@ -669,12 +668,12 @@
       -e "s:\# \@ error *= .*:\# \@ error = ${Script_Output}:"   \
       $1 > ${REP_FOR_JOB}/JOB_FOR_IGCM
-  cd $REP_FOR_JOB ; /usr/bin/llsubmit JOB_FOR_IGCM > ${RUN_DIR_PATH}/out_command.$$ 2>&1 ; status=$? ; cd - ;
-
-  cat ${RUN_DIR_PATH}/out_command.$$
+  cd $REP_FOR_JOB ; /usr/bin/llsubmit JOB_FOR_IGCM > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1 ; status=$? ; cd - ;
+
+  cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   if [ ${status} -gt 0 ] ; then
     IGCM_debug_Print 2 "IGCM_sys_Qsub $1 : error code ${status}"
     IGCM_debug_Exit "IGCM_sys_Qsub"
   else
-    JobID=$( gawk {'print $4'} ${RUN_DIR_PATH}/out_command.$$ | tail -1 | sed -e s/\"//g )
+    JobID=$( gawk {'print $4'} ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ | tail -1 | sed -e s/\"//g )
     IGCM_sys_Rm ${REP_FOR_JOB}/JOB_FOR_IGCM
   fi
@@ -689,10 +688,9 @@
 function IGCM_sys_QsubPost {
   IGCM_debug_PushStack "IGCM_sys_QsubPost" $@
-
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_QsubPost :" $@
+  fi
   typeset status
 
-  if ( $DEBUG_sys ) ; then
-    echo "IGCM_sys_QsubPost :" $@
-  fi
   # We have to change output/error file
   [ ${#@} = 1 ] &&  REP_FOR_JOB=${POST_DIR}
@@ -703,12 +701,12 @@
       ${libIGCM_POST}/$1.job > ${REP_FOR_JOB}/JOB_FOR_IGCM_$$
 
-  cd $REP_FOR_JOB ; /usr/bin/llsubmit JOB_FOR_IGCM_$$ > /tmp/out_command.$$ 2>&1 ; status=$? ; cd - ;
-
-  cat /tmp/out_command.$$
+  cd $REP_FOR_JOB ; /usr/bin/llsubmit JOB_FOR_IGCM_$$ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1 ; status=$? ; cd - ;
+
+  cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   if [ ${status} -gt 0 ] ; then
     IGCM_debug_Print 2 "IGCM_sys_QsubPost $1 : error code ${status}"
     IGCM_debug_Exit "IGCM_sys_QsubPost"
   else
-    JobID=$( gawk {'print $4'} /tmp/out_command.$$ | tail -1 | sed -e s/\"//g )
+    JobID=$( gawk {'print $4'} ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ | tail -1 | sed -e s/\"//g )
     IGCM_sys_Rm ${REP_FOR_JOB}/JOB_FOR_IGCM_$$
   fi
@@ -846,11 +844,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat ${RUN_DIR_PATH}/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -870,14 +868,14 @@
   typeset status
 
-  echo cp $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
-  \cp $@ >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+  echo cp $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \cp $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat ${RUN_DIR_PATH}/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm ${RUN_DIR_PATH}/out_command.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -897,14 +895,14 @@
   typeset status
 
-  echo rm $@ > /tmp/out_command.$$ 2>&1
-  \rm $@ >> /tmp/out_command.$$ 2>&1
+  echo rm $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \rm $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Rm : error code ${status}"
-    cat /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_Rm"
   else
-    \rm /tmp/out_command.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -941,14 +939,14 @@
     typeset status
 
-    echo mv $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
-    \mv $@ >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    echo mv $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+    \mv $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -982,8 +980,8 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived $2
     if [ $? = 0 ] ; then
-      \rcp -r $1 ${STOREHOST}:$2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      \rcp -r $1 ${STOREHOST}:$2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
     else
-      \cp -r $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      \cp -r $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
     fi
@@ -991,8 +989,8 @@
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : rcp or cp failed error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1011,10 +1009,4 @@
   fi
   if [ $DRYRUN = 0 ]; then
-#    if [ ! -d ${1} ] ; then
-#      echo "WARNING : IGCM_sys_Get_Dir ${1} DOES NOT EXIST ."
-#      IGCM_debug_PopStack "IGCM_sys_Get_Dir"
-#      return
-#    fi
-
     typeset NB_ESSAI DELAI status i
     # number of tentative
@@ -1033,5 +1025,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \rcp -rp ${STOREHOST}:$1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+        \rcp -rp ${STOREHOST}:$1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1045,20 +1037,20 @@
       done
     else
-      \cp -rp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      \cp -rp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ] ; then
         IGCM_debug_Print 2 "IGCM_sys_Get_Dir : cp failed error code ${status}"
-        cat ${RUN_DIR_PATH}/out_command.$$
+        cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         IGCM_debug_Exit "IGCM_sys_Get_Dir"
       else
-        \rm ${RUN_DIR_PATH}/out_command.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       fi
     fi
     if [ ${status} -gt 0 ] ; then
-      echo "IGCM_sys_Get_Dir : error."
-      cat ${RUN_DIR_PATH}/out_command.$$
+      IGCM_debug_Print 2 "IGCM_sys_Get_Dir : (r)cp failed error code ${status}"
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1091,5 +1083,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      \cp -urL $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -1105,8 +1097,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1147,9 +1139,9 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived $2
     if [ $? = 0 ] ; then
-      mfput $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      mfput $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
     else
       IGCM_sys_MkdirArchive $( dirname $2 )
-      \cp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
     fi
@@ -1157,23 +1149,23 @@
 #       #RSYNC WITH NETWORK RSH CALL
 #       IGCM_sys_MkdirArchive $( dirname $2 )
-#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${RUN_DIR_PATH}/out_command.$$
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
-      echo "IGCM_sys_Put_Rest : mfput or cp failed error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
+      IGCM_debug_Print 2 "IGCM_sys_Put_Rest : mfput or cp failed error code ${status}"
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1200,11 +1192,6 @@
     typeset status
     #
-    if [ X${JobType} = XRUN ] ; then
-      IGCM_sys_Chmod 444 ${1}
-    fi
-
-    #
     # USUAL WAY
-    \cp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
@@ -1213,8 +1200,14 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+
+      if [ X${JobType} = XRUN ] ; then
+        [ -f ${2} ] && IGCM_sys_Chmod 444 ${2}
+        [ -f ${2}/${1} ] && IGCM_sys_Chmod 444 ${2}/${1}
+      fi
+
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1254,5 +1247,4 @@
       return 1
     fi
-
     #
     if [ X${JobType} = XRUN ] ; then
@@ -1266,9 +1258,9 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived $2
     if [ $? = 0 ] ; then
-      mfput $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      mfput $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
     else
       IGCM_sys_MkdirArchive $( dirname $2 )
-      \cp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
     fi
@@ -1276,23 +1268,23 @@
 #       #RSYNC WITH NETWORK RSH CALL
 #       IGCM_sys_MkdirArchive $( dirname $2 )
-#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${RUN_DIR_PATH}/out_command.$$
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Out : mfput or cp failed error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1352,5 +1344,5 @@
       while [ $i -lt $NB_ESSAI ] ; do
         # USUAL WAY
-        \cp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+        \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1371,5 +1363,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1382,5 +1374,5 @@
       fi
 
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1429,31 +1421,31 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived ${dm_liste[0]}
     if [ $? = 0 ] ; then
-      mfget ${dm_liste[*]} ${DEST} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      mfget ${dm_liste[*]} ${DEST} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
     else
-      \cp ${dm_liste[*]} ${DEST} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+      \cp ${dm_liste[*]} ${DEST} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
     fi
 
 #       #RSYNC WITH NETWORK RSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${RUN_DIR_PATH}/out_command.$$
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get : mfget or cp failed error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get"
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1495,5 +1487,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+          \cp ${target} ${DEST}/${local_file} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1508,9 +1500,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat ${RUN_DIR_PATH}/out_command.$$
-          \rm ${RUN_DIR_PATH}/out_command.$$
+          cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+          \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm ${RUN_DIR_PATH}/out_command.$$
+          \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         fi
       done
@@ -1518,5 +1510,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
+        \cp ${buf_liste} ${DEST} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1531,9 +1523,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat ${RUN_DIR_PATH}/out_command.$$
-        \rm ${RUN_DIR_PATH}/out_command.$$
+        cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm ${RUN_DIR_PATH}/out_command.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       fi
     fi
@@ -1619,5 +1611,5 @@
 #D-#==================================================
 #D-function IGCM_sys_Put_Dods
-#D-* Purpose: Put $(ARCHIVE) files on DODS internet protocole.
+#D-* Purpose: Put ${ARCHIVE} files on DODS internet protocole.
 #D-* Examples:
 #D-
@@ -1627,4 +1619,5 @@
     echo "IGCM_sys_Put_Dods :" $@
   fi
+  typeset status
   if [ $DRYRUN = 0 ]; then
     # We take our time on that
@@ -1637,6 +1630,4 @@
     fi
 
-    typeset status
-    #
     rsh ${STOREHOST} exec /bin/ksh <<EOF
           cd ${R_SAVE}
@@ -1693,10 +1684,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    /smphome/rech/psl/rpsl035/bin/rebuild -f -o $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    rebuild -f -o $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1704,5 +1695,5 @@
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -1769,4 +1760,5 @@
   #  0  118 110.0000000000000   87.46478873239437
   #  1  40  4.999999999999995   51.97183098591550
+
 #  typeset iStation iProc list_opt file_in file_out prefix_invert
 #  typeset -Z4 j4
@@ -1911,4 +1903,5 @@
   EXECUTION=${HOST_MPIRUN_COMMAND}
 
+  # MPMD mode
   if ( ${OK_PARA_MPMD} ) ; then
 
@@ -1918,9 +1911,8 @@
     touch run_file
 
-# run_file construction
-
-# Then first loop on the components for the coupler ie oasis
-
-### the coupler ie oasis must be the first one
+    # Build run_file
+
+    # First loop on the components for the coupler ie oasis (only if oasis3)
+    # the coupler ie oasis3 must be the first one
     for comp in ${config_ListOfComponents[*]} ; do
 
@@ -1946,6 +1938,5 @@
     done
 
-# Then second loop on the components
-
+    # Then second loop on the components
     for comp in ${config_ListOfComponents[*]} ; do
 
@@ -2004,5 +1995,5 @@
     fi
 
-  else # Only one executable. launch it.
+  else # Only one executable. (SPMD mode).
 
     for comp in ${config_ListOfComponents[*]} ; do
@@ -2020,5 +2011,4 @@
           #echo "export MKL_SERIAL=YES"  >> script_${ExeNameOut}.ksh
         fi
-
         EXECUTION="${HOST_MPIRUN_COMMAND} ./${ExeNameOut}"
       fi
@@ -2089,5 +2079,5 @@
 #D-* Purpose: Check if job_name is currently
 #D-  running or in queue
-#D-* Examples: IGCM_sys_GetJobID ${JobName} NbRun
+#D-* Examples: IGCM_sys_GetJobID ${JobName} ${TargetUsr} JobID
 #D-
 function IGCM_sys_GetJobID {
@@ -2173,14 +2163,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 -C "$@" > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncap2 -C "$@" > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2215,14 +2205,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncatted "$@" > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2257,14 +2247,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncbo -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2299,14 +2289,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncdiff -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2341,14 +2331,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncea -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2383,14 +2373,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncecat -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2425,14 +2415,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncflint -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2467,14 +2457,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncks -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2509,14 +2499,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    ncpdq -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat ${RUN_DIR_PATH}/out_command.$$
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm ${RUN_DIR_PATH}/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
